Package com.databricks.jdbc.model.core

## Class ResultData

- java.lang.Object
- - com.databricks.jdbc.model.core.ResultData

    public class ResultData
    extends Object

Result data POJO

TODO: Replace this class with the corresponding SDK implementation once it becomes available

### Constructor Summary

Constructors
`ResultData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`Long` `getByteCount()`
`Long` `getChunkIndex()`
`Collection<Collection<String>>` `getDataArray()`
`Collection<ExternalLink>` `getExternalLinks()`
`Long` `getNextChunkIndex()`
`String` `getNextChunkInternalLink()`
`Long` `getRowCount()`
`Long` `getRowOffset()`
`int` `hashCode()`
`ResultData` `setByteCount​(Long byteCount)`
`ResultData` `setChunkIndex​(Long chunkIndex)`
`ResultData` `setDataArray​(Collection<Collection<String>> dataArray)`
`ResultData` `setExternalLinks​(Collection<ExternalLink> externalLinks)`
`ResultData` `setNextChunkIndex​(Long nextChunkIndex)`
`ResultData` `setNextChunkInternalLink​(String nextChunkInternalLink)`
`ResultData` `setRowCount​(Long rowCount)`
`ResultData` `setRowOffset​(Long rowOffset)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ResultData

    public ResultData()

### Method Detail

#### setByteCount

    public ResultData setByteCount​(Long byteCount)

#### getByteCount

    public Long getByteCount()

#### setChunkIndex

    public ResultData setChunkIndex​(Long chunkIndex)

#### getChunkIndex

    public Long getChunkIndex()

#### setDataArray

    public ResultData setDataArray​(Collection<Collection<String>> dataArray)

#### getDataArray

    public Collection<Collection<String>> getDataArray()

#### setExternalLinks

    public ResultData setExternalLinks​(Collection<ExternalLink> externalLinks)

#### getExternalLinks

    public Collection<ExternalLink> getExternalLinks()

#### setNextChunkIndex

    public ResultData setNextChunkIndex​(Long nextChunkIndex)

#### getNextChunkIndex

    public Long getNextChunkIndex()

#### setNextChunkInternalLink

    public ResultData setNextChunkInternalLink​(String nextChunkInternalLink)

#### getNextChunkInternalLink

    public String getNextChunkInternalLink()

#### setRowCount

    public ResultData setRowCount​(Long rowCount)

#### getRowCount

    public Long getRowCount()

#### setRowOffset

    public ResultData setRowOffset​(Long rowOffset)

#### getRowOffset

    public Long getRowOffset()

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`